package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.rjconsultores.ventaboletos.vo.impressaofiscal.TipoPendencia;

public class ECFReducaoZVO {

	private String tipo;
	private String pendenciaRedZ;
	private String datamov;
	private String numserie20;
	private String coo;
	private BigDecimal valorTotal;
	private List<ItemECFVO> itens;

	public ECFReducaoZVO(String tipo, String pendenciaRedZ, String datamov, String numserie20, String coo, BigDecimal valorTotal) {
		super();
		this.tipo = tipo;
		this.datamov = datamov;
		this.numserie20 = numserie20;
		this.coo = coo;
		this.valorTotal = valorTotal;
		this.itens = new ArrayList<ItemECFVO>();

		if (pendenciaRedZ == null) {
			this.pendenciaRedZ = null;
		} else if (pendenciaRedZ.equals(TipoPendencia.DIF_RED_Z.toString())) {
			this.pendenciaRedZ = "Redução Z maior que ECF";
		} else if (pendenciaRedZ.equals(TipoPendencia.DIF_ECF.toString())) {
			this.pendenciaRedZ = "ECF maior que redução Z";
		}
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public String getNumserie20() {
		return numserie20;
	}

	public void setNumserie20(String numserie20) {
		this.numserie20 = numserie20;
	}

	public String getCoo() {
		return coo;
	}

	public void setCoo(String coo) {
		this.coo = coo;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public List<ItemECFVO> getItens() {
		return itens;
	}

	public void setItens(List<ItemECFVO> itens) {
		this.itens = itens;
	}

	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	public String getPendenciaRedZ() {
		return pendenciaRedZ;
	}

	public void setPendenciaRedZ(String pendenciaRedZ) {
		this.pendenciaRedZ = pendenciaRedZ;
	}

}
